#!/bin/bash

BASE_URL=https://git.cringe-studios.com/CringeStudios/cloud-computing/raw/branch/main
FOLDER=galera/bootstrap
HOSTNAME=galera-node-0

FULL_COMPOSE_URL=$BASE_URL/$FOLDER/docker-compose.yml
FULL_ENV_URL=$BASE_URL/$FOLDER/.env

apt update
apt install -y docker docker-compose

hostnamectl set-hostname $HOSTNAME
systemctl enable --now docker

cd /home/ubuntu
wget -O docker-compose.yml $FULL_COMPOSE_URL
wget -O .env $FULL_ENV_URL
