#!/bin/bash

BASE_URL=https://git.cringe-studios.com/CringeStudios/cloud-computing/raw/branch/main/owncloud
HOSTNAME=owncloud-0
DATABASE_HOST_IP=10.0.1.40

apt update
apt install -y docker docker-compose

hostnamectl set-hostname $HOSTNAME
systemctl enable --now docker

cd /home/ubuntu
wget -O docker-compose.yml $BASE_URL/docker-compose.yml
wget -O .env $BASE_URL/.env
wget -O fstab $BASE_URL/fstab

sed -i "s/dbhostip/${DATABASE_HOST_IP}/" .env
